OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-15.ocamllabs.io

(from ocaml/opam:debian-unstable)
2021-11-20 22:47.24 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam"))
2021-11-20 22:47.24 ---> using "4d29eb3e0b7cd69a97ed90837671d5ca38aa41e2fb94346298af500378eca6fa" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'git://github.com/ocaml/opam-repository.git' ~/opam-repository && git -C ~/opam-repository checkout -q 092c37746a8cb99ad2a9eefb7943196a9f1cedc2"))
2021-11-20 22:47.24 ---> using "b16b0ba39ac480f1735de0669bb4ac773826ab8eac33ef47d77f0f0f78464c94" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2021-11-20 22:47.24 ---> using "2afdc0690c5df357ea3e845c3eef70aee34e4ad430085bc0cf66a0cce51d1232" from cache

/: (run (network host)
        (shell "git clone -q 'git://github.com/ocaml/ocaml-beta-repository.git' ~/'beta' && git -C ~/'beta' checkout -q 79aeeadd813bdae424ab53f882f08bee0a4e0b89"))
2021-11-20 22:47.24 ---> using "55d1403124175c5424188f0334144b7f3e548012f40d8a9f57dd3407e9bf5016" from cache

/: (run (shell "opam repository add --dont-select 'beta' ~/'beta'"))
[beta] Initialised
2021-11-20 22:47.24 ---> using "c8b605c6210873a972c1f801736d60c96480eb79d742379c4645a8288d014e32" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=beta,default '4.04' '4.04.2'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.04.2"} | "ocaml-system" {= "4.04.2"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-base-compiler.4.04.2  (cached)
-> installed ocaml-base-compiler.4.04.2
-> installed ocaml-config.1
-> installed ocaml.4.04.2
Done.
# Run eval $(opam env --switch=4.04) to update the current shell environment
2021-11-20 22:47.24 ---> using "65a0ab7c8fac0f3dcbf9f903172461d55059997b7175529aef51e33a9c69bcf8" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Ign:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages [8853 kB]
- Fetched 9082 kB in 3s (3016 kB/s)
- Reading package lists...
- 
2021-11-20 22:47.24 ---> using "be25c7ef4141bb5e8fa934cf8459d14ddcf79d04d501401c1e52fc57255359f3" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam install -y ocaml-secondary-compiler"))
The following actions will be performed:
  - install ocaml-secondary-compiler 4.08.1-1

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-secondary-compiler.4.08.1-1  (cached)
-> installed ocaml-secondary-compiler.4.08.1-1
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-20 22:47.24 ---> using "d830b4aac062e39befe9d91564da5bdd6e168926bec875163c09cb9e8d375711" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"alphaCaml.20061214\"\
               \nopam install -vy \"alphaCaml.20061214\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"alphaCaml.20061214\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
Nothing to do.
[NOTE] alphaCaml.20061214 is not installed.

The following actions will be performed:
  - remove  ocaml-secondary-compiler 4.08.1-1
  - install ocamlfind                1.9.1    [required by alphaCaml]
  - install alphaCaml                20061214
===== 2 to install | 1 to remove =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> removed   ocaml-secondary-compiler.4.08.1-1
Processing  2/7:
Processing  3/7:
-> retrieved alphaCaml.20061214  (cached)
-> retrieved ocamlfind.1.9.1  (cached)
Processing  4/7: [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "-bindir" "/home/opam/.opam/4.04/bin" "-sitelib" "/home/opam/.opam/4.04/lib" "-mandir" "/home/opam/.opam/4.04/man" "-config" "/home/opam/.opam/4.04/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1)
- Welcome to findlib version 1.9.1
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: found
- num: found
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found
- raw_spacetime: found
- threads: found
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for graphics written to site-lib-src/graphics/META
- Configuration for num written to site-lib-src/num/META
- Configuration for num-top written to site-lib-src/num-top/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.04/lib/ocaml
-     Binaries:              /home/opam/.opam/4.04/bin
-     Manual pages:          /home/opam/.opam/4.04/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.04/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.04/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.04/bin
-     Manual pages:          /home/opam/.opam/4.04/man
-     topfind script:        /home/opam/.opam/4.04/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing  4/7: [ocamlfind: make all]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1)
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.04/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.04/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque -c findlib.mli
- ocamlc -I +compiler-libs -opaque -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque -g -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque -c topfind.mli
- ocamlc -I +compiler-libs -opaque -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.04/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque -c num_top_printers.mli
- ocamlc -I +compiler-libs -opaque -g -c num_top_printers.ml
- ocamlc -I +compiler-libs -opaque -c num_top.mli
- ocamlc -I +compiler-libs -opaque -g -c num_top.ml
- ocamlc -I +compiler-libs -a -o num_top.cma num_top_printers.cmo num_top.cmo
- ocamlc -I +compiler-libs -opaque -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.04/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
Processing  4/7: [ocamlfind: make opt]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "opt" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
-> compiled  ocamlfind.1.9.1
Processing  5/7: [ocamlfind: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1)
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.04/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.04/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi \
-       fi \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- mkdir -p "/home/opam/.opam/4.04/bin"
- mkdir -p "/home/opam/.opam/4.04/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "`dirname \"/home/opam/.opam/4.04/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.04/lib/findlib.conf" || cp findlib.conf "/home/opam/.opam/4.04/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.04/lib/findlib"
- mkdir -p "/home/opam/.opam/4.04/bin"
- test 1 -eq 0 || cp topfind "/home/opam/.opam/4.04/lib/ocaml"
- files=` ../../tools/collect_files ../../Makefile.config findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs topfind.cmi topfind.mli fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi META` && \
- cp $files "/home/opam/.opam/4.04/lib/findlib"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- cp $f "/home/opam/.opam/4.04/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.04/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.04/lib/ocaml/compiler-libs/"; \
-     cp topdirs.cmi toploop.cmi "/home/opam/.opam/4.04/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- for x in bigarray bytes compiler-libs dynlink graphics num num-top ocamldoc raw_spacetime stdlib str threads unix ; do mkdir -p "/home/opam/.opam/4.04/lib/$x"; cp site-lib-src/$x/META "/home/opam/.opam/4.04/lib/$x"; done
- mkdir -p "/home/opam/.opam/4.04/lib/findlib"; cp Makefile.packages "/home/opam/.opam/4.04/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.04/lib/num-top"
- cp num_top.cma num_top.cmi num_top_printers.cmi \
- 	"/home/opam/.opam/4.04/lib/num-top"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- test ! -f 'site-lib-src/camlp4/META' ||	cp tools/safe_camlp4 "/home/opam/.opam/4.04/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "/home/opam/.opam/4.04/man/man1" "/home/opam/.opam/4.04/man/man3" "/home/opam/.opam/4.04/man/man5"
- cp doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.04/man/man1"
- cp doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.04/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.1'
-> installed ocamlfind.1.9.1
Processing  6/7: [alphaCaml: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.04/.opam-switch/build/alphaCaml.20061214)
- make -s -C tool 
- 136 states, 14449 transitions, table size 58612 bytes
- File "lexer.mll", line 23, characters 17-30:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- File "kind.ml", line 745, characters 12-28:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "generator.ml", line 436, characters 2-19:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "generator.ml", line 2303, characters 15-31:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "generator.ml", line 2337, characters 7-23:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "generator.ml", line 2536, characters 35-51:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "generator.ml", line 2560, characters 7-23:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- make -s -C library 
- File "patricia.ml", line 395, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 404, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 413, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 487, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 495, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 501, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 535, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 539, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 541, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 635, characters 22-23:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 716, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 722, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 757, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 763, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 772, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 958, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 967, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 976, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1029, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1035, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1044, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1070, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1076, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1082, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1115, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1119, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1121, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1274, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1280, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1377, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1381, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1388, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "chop.ml", line 157, characters 27-39:
- Warning 3: deprecated: Array.create
- Use Array.make instead.
- File "atom.ml", line 19, characters 12-25:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- File "atom.ml", line 21, characters 6-24:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "patricia.ml", line 395, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 404, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 413, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 487, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 495, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 501, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 535, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 539, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 541, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 635, characters 22-23:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 716, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 722, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 757, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 763, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 772, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 958, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 967, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 976, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1029, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1035, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1044, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1070, characters 12-13:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1076, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1082, characters 25-26:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1115, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1119, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1121, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1274, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1280, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1377, characters 14-15:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1381, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "patricia.ml", line 1388, characters 27-28:
- Warning 3: deprecated: Pervasives.&
- Use (&&) instead.
- File "chop.ml", line 157, characters 27-39:
- Warning 3: deprecated: Array.create
- Use Array.make instead.
- File "atom.ml", line 19, characters 12-25:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- File "atom.ml", line 21, characters 6-24:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
-> compiled  alphaCaml.20061214
Processing  7/7: [alphaCaml: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" "PREFIX=/home/opam/.opam/4.04" (CWD=/home/opam/.opam/4.04/.opam-switch/build/alphaCaml.20061214)
- make -s -C tool 
- make -s -C library 
- make -s -C tool  install
- make -s -C library  install
- Installed /home/opam/.opam/4.04/lib/alphaLib/alphaLib.o
- Installed /home/opam/.opam/4.04/lib/alphaLib/alphaLib.cmx
- Installed /home/opam/.opam/4.04/lib/alphaLib/alphaLib.cmo
- Installed /home/opam/.opam/4.04/lib/alphaLib/alphaLib.cmi
- Installed /home/opam/.opam/4.04/lib/alphaLib/signatures.ml
- Installed /home/opam/.opam/4.04/lib/alphaLib/META
- mkdir -p /home/opam/.opam/4.04/doc/alphaCaml/
- install alphaCaml.pdf /home/opam/.opam/4.04/doc/alphaCaml/alphaCaml.pdf
-> installed alphaCaml.20061214
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-20 22:47.57 ---> saved as "9a4aa3aadac55354ca536bc199759801a327610cec40bbf67fbbdda41355bbb0"
Job succeeded